﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI.WebControls;
using Telerik.Web.UI;

namespace CustomControls
{
    public class MyCompositeControl : CompositeControl
    {
        public MyCompositeControl()
        {
        }

        protected override void CreateChildControls()
        {
            TextBox tb = new TextBox();
            tb.ID = "TextBox1";
            Controls.Add(tb);

            RadInputManager manager = new RadInputManager();
            DateInputSetting DateInputSetting1 = new DateInputSetting();
            DateInputSetting1.TargetControls.Add(new TargetInput(tb.ID, true));
            manager.InputSettings.Add(DateInputSetting1);

            Controls.Add(manager);
        }
    }
}